use thiserror::Error;

#[derive(Error, Debug)]
pub enum DataStoreError {
    #[error("sqlite error")]
    SqliteError(#[from] rusqlite::Error),
    #[error("connection error")]
    ConnectionError(#[from] r2d2::Error),
}
